document.addEventListener('DOMContentLoaded', function() {
  var screen1 = document.getElementById('screen1');
  if (screen1) {
    // Pobieramy tylko górną nakładkę
    var topHalf = screen1.querySelector('.top-half');
    if (topHalf) {
      topHalf.addEventListener('click', function(e) {
        window.location.href = "https://www.t-mobile.pl/c/oferta-specjalna/magenta-moments?srsltid=AfmBOopufAmD72n6Z32_1CDd1573mItZdc1lu2-pA920s5cni7bwdSxz";
        e.stopPropagation();
      });
    }
  }
});
